### Virtual Method

# Gegl MetadataStoreregister_hook

#### Declaration [src]

    void
    register_hook (
      GeglMetadataStore* self,
      const gchar* file_module_name,
      guint flags
    )

#### Description

No description available.

#### Parameters

`file_module_name`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `guint`

  No description available.